Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.acegisecurity.adapters
Class PrincipalAcegiUserToken

    java.lang.Object
      org.acegisecurity.providers.AbstractAuthenticationToken
          org.acegisecurity.adapters.AbstractAdapterAuthenticationToken
              org.acegisecurity.adapters.PrincipalAcegiUserToken

All Implemented Interfaces:
  Serializable, Principal, AuthByAdapter, Authentication

    public class PrincipalAcegiUserToken

extends AbstractAdapterAuthenticationToken
implements Principal

A `Principal` compatible `Authentication` object.

Version:
  $Id: PrincipalAcegiUserToken.java,v 1.6 2005/11/25 00:26:30 benalex Exp $
Author:
  Ben Alex
See Also:
  Serialized Form

Constructor Summary
`protected` | `PrincipalAcegiUserToken()`
`` | `PrincipalAcegiUserToken(String key, String username, String password, GrantedAuthority[] authorities, Object principal)`

Method Summary
`Object` | `getCredentials()` The credentials that prove the principal is correct.
`String` | `getName()`
`Object` | `getPrincipal()` The identity of the principal being authenticated.

Methods inherited from class org.acegisecurity.adapters.AbstractAdapterAuthenticationToken
`equals, getAuthorities, getKeyHash, isAuthenticated, isUserInRole, setAuthenticated`

Methods inherited from class org.acegisecurity.providers.AbstractAuthenticationToken
`getDetails, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.security.Principal
`equals, hashCode, toString`

Methods inherited from interface org.acegisecurity.Authentication
`getDetails`

Constructor Detail

### PrincipalAcegiUserToken

    public PrincipalAcegiUserToken(String key,
                                   String username,
                                   String password,
                                   GrantedAuthority[] authorities,
                                   Object principal)

### PrincipalAcegiUserToken

    protected PrincipalAcegiUserToken()

Method Detail

### getCredentials

    public Object getCredentials()

  Description copied from interface: `Authentication`
  The credentials that prove the principal is correct. This is usually a password, but could be anything relevant to the `AuthenticationManager`. Callers are expected to populate the credentials.

  Specified by:
    `getCredentials` in interface `Authentication`
  Returns:
    the credentials that prove the identity of the `Principal`

### getName

    public String getName()

  Specified by:
    `getName` in interface `Principal`
  Overrides:
    `getName` in class `AbstractAuthenticationToken`

### getPrincipal

    public Object getPrincipal()

  Description copied from interface: `Authentication`
  The identity of the principal being authenticated. This is usually a username. Callers are expected to populate the principal.

  Specified by:
    `getPrincipal` in interface `Authentication`
  Returns:
    the `Principal` being authenticated

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2005 Acegi Technology Pty Limited. All Rights Reserved.